Skip to main content
GET
/
api
/
users
/
{id}
/
favorites
Get User Favorites
curl --request GET \
  --url https://api.example.com/api/users/{id}/favorites

Authentication

Optional. If authenticated, includes repost status.

Path Parameters

ParameterTypeDescription
idstringUsername or UUID

Query Parameters

ParameterTypeDefaultDescription
pageinteger1Page number
limitinteger12Items per page
typestringrecipesContent type: recipes, posts, or collections

Response (type=recipes)

{
  "recipes": [
    {
      "id": "uuid",
      "title": "Kodak Portra 400",
      "coverImageUrl": "https://...",
      "filmSimulation": "Classic Chrome",
      "favoriteCount": 42,
      "commentCount": 5,
      "repostCount": 3,
      "isFavorited": true,
      "isReposted": false,
      "createdAt": "2025-01-15T10:30:00Z",
      "favoritedAt": "2025-01-20T14:00:00Z",
      "author": {
        "id": "uuid",
        "username": "creator",
        "avatarUrl": "https://..."
      }
    }
  ],
  "pagination": { ... }
}
When viewing your own favorites, isFavorited is always true by definition.